//	File: plate.inc #version 0.71
//	Date: 24/06/99
//	Author: Noriaki Okamoto
#version 3.1;


//*************************************************
#ifndef ( YokonoNagasa )
#declare YokonoNagasa=1;
#end
//*************************************************

//*************************************************
#ifndef ( TatenoNagasa )
#declare TatenoNagasa=1;
#end
//*************************************************


//*************************************************
#if (YokonoNagasa>=TatenoNagasa)
#declare YokonoHiritu=(YokonoNagasa/TatenoNagasa);
#else
#declare YokonoHiritu=(TatenoNagasa/YokonoNagasa);
#end
//*************************************************


//*************************************************
#if (YokonoHiritu = 1)
#declare i= 1;
#else
#if (YokonoHiritu <= 4)
#declare i = ((3/5)*(sqrt(YokonoHiritu-1)))+1
#else
#declare i=YokonoHiritu/2;
#end
#end
//*************************************************



//*************************************************
#ifndef (ItanoAtumi)
#declare ItanoAtumi=0.5;
#end
//*************************************************


//*************************************************
#ifndef (NanameTexture)
#declare NanameTexture = texture {
pigment  { color rgb < 1, 0, 0 > }
}
#end
//*************************************************


//*************************************************
#ifndef (TairaTexture)
#declare TairaTexture = texture {
pigment  { color rgb < 1, 0, 0 > }
}
#end
//*************************************************


//*************************************************
#if (YokonoNagasa>=TatenoNagasa)
camera {
	perspective 
	location < 0, 0.5, 0 >
	up y * 1 right x * 1*i
	direction < 0.0, -1*i, 0 >
	look_at < 0.0, -0.5, 0.0 >
}
#else
camera {
	perspective 
	location < 0, 0.5, 0 >
	up y * 1*i right x * 1
	direction < 0.0, -1*i, 0 >
	look_at < 0.0, -0.5, 0.0 >
}
#end
//*************************************************


//*************************************************
#ifndef ( MyLight )
light_source {
	< 100, 50, 50 >
	color rgb < 1, 1, 1 >*2
}
light_source {
	< -100, 50, -50 >
	color rgb < 1, 1, 1 >*0.25
}
#end
//*************************************************


//*************************************************
#declare moto = object {
	box  {
		< -0.5, -0.5, -0.5 >, < 0.5, 0.5, 0.5 >
	scale 1.1
	}
}

#declare top = object {
	box  {
		< -0.5, -0.5, -0.5 >, < 0.5, 0.5, 0.5 >
	}
	scale < 2, 2, 1 >
	translate < 0.0, 0.0, 0.5 >
	rotate < -45,  0.0, 0.0 >
}

#declare down = object {
	box  {
		< -0.5, -0.5, -0.5 >, < 0.5, 0.5, 0.5 >
	}
	scale < 2, 2, 1 >
	translate < 0, 0.0, -0.5 >
	rotate < 45,  0.0, 0 >
}

#declare rightS = object {
	box  {
		< -0.5, -0.5, -0.5 >, < 0.5, 0.5, 0.5 >
	}
	scale < 1, 2, 2 >
	translate < 0.5, 0.0, 0 >
	rotate < 0,  0.0, 45 >
}

#declare leftS = object {
	box  {
		< -0.5, -0.5, -0.5 >, < 0.5, 0.5, 0.5 >
	}
	scale < 1, 2, 2 >
	translate < -0.5, 0.0, 0 >
	rotate < 0,  0.0, -45 >
}

#declare kirinuki = object {
	box  {
		< -0.5, -0.5, -0.5 >, < 0.5, 0.5, 0.5 >
	}
	scale < 2, 1, 2 >
	translate < 0, (0.5*ItanoAtumi)/i, 0 >
}
//*************************************************


//*************************************************
#if (YokonoNagasa>=TatenoNagasa)
difference
{
	object { moto }
	union
		{
			union
				{
					object { top translate <0, 0, -(0.5-0.5/i)> }
					object { down translate <0, 0, (0.5-0.5/i)> }
					object { rightS }
					object { leftS }
					texture { NanameTexture}
				}
					object { kirinuki texture { TairaTexture } }
		}
}
#else
difference
{
	object { moto }
	union
		{
			union
				{
					object { top }
					object { down }
					object { rightS translate <-(0.5-0.5/i), 0, 0> }
					object { leftS translate <(0.5-0.5/i), 0, 0> }
					texture { NanameTexture}
				}
					object { kirinuki texture { TairaTexture } }
		}
}
#end
//**************************end********************
